[arch-commits] Commit in openoffice-base/repos (4 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Tue Oct 21 02:10:05 EDT 2008


    Date: Tuesday, October 21, 2008 @ 02:10:04
  Author: andyrtr
Revision: 16088

Merged revisions 14694,15995,16087 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/openoffice-base/trunk

........
  r14694 | andyrtr | 2008-10-09 03:33:11 +0000 (Do, 09 Okt 2008) | 1 line
  
  upgpkg: openoffice-base 3.0.0-1
........
  r15995 | andyrtr | 2008-10-19 21:37:03 +0000 (So, 19 Okt 2008) | 1 line
  
  prepare for #11705
........
  r16087 | andyrtr | 2008-10-21 06:08:55 +0000 (Di, 21 Okt 2008) | 1 line
  
  upgpkg: openoffice-base 3.0.0-2
........

Modified:
  openoffice-base/repos/extra-x86_64/	(properties)
  openoffice-base/repos/extra-x86_64/ChangeLog
  openoffice-base/repos/extra-x86_64/PKGBUILD
  openoffice-base/repos/extra-x86_64/openoffice.install

--------------------+
 ChangeLog          |    8 +++++++-
 PKGBUILD           |   23 ++++++++++++++++-------
 openoffice.install |   10 +---------
 3 files changed, 24 insertions(+), 17 deletions(-)


Property changes on: openoffice-base/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /openoffice-base/trunk:1-14569
   + /openoffice-base/trunk:1-16087

Modified: extra-x86_64/ChangeLog
===================================================================
--- extra-x86_64/ChangeLog	2008-10-21 06:08:55 UTC (rev 16087)
+++ extra-x86_64/ChangeLog	2008-10-21 06:10:04 UTC (rev 16088)
@@ -1,4 +1,10 @@
-openoffice-base 3.0-1
+openoffice-base 3.0.0-2
+- add libxslt dependency to fix file recovering issue
+- add profile.d script to preset the gnome vcl usage
+- reenable stlport to be compatible with crappy old 
+  Sun extensions
+
+openoffice-base 3.0.0-1
 - major bump
 - see changes developed in openoffice-base-beta pkg
 

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-10-21 06:08:55 UTC (rev 16087)
+++ extra-x86_64/PKGBUILD	2008-10-21 06:10:04 UTC (rev 16088)
@@ -3,7 +3,7 @@
 
 pkgname=openoffice-base
 pkgver=3.0.0
-pkgrel=1
+pkgrel=2
 pkgdesc="OpenOffice.org - a free multiplatform and multilingual office suite"
 arch=(i686 x86_64)
 _OO_milestone=OOO300_m9  # =RC4 = final
@@ -11,7 +11,7 @@
 url="http://www.openoffice.org"
 install=openoffice.install
 depends=('curl>=7.18.0' 'hunspell>=1.2.2-2' 'python>=2.5.1' 'libwpd' 
-         'libxaw' 'neon>=0.28.2' 'dbus-glib' 'icu>=4.0' 'hsqldb-java')
+         'libxaw' 'neon>=0.28.2' 'dbus-glib' 'icu>=4.0' 'hsqldb-java' 'libxslt')
 optdepends=('java-runtime:	adds java support'
             'libcups:		adds printing support'
             'gconf:		adds additional gnome support'
@@ -29,7 +29,8 @@
 	buildfix-gcc43.diff
 	shell.patch
 	system_hsqldb.diff
-	buildfix-openjdk-6-no-rhino.diff)
+	buildfix-openjdk-6-no-rhino.diff
+	openoffice.profile)
 options=('!distcc' '!ccache' '!makeflags')
 md5sums=('5ec5aa89277bfa9adf13ef4bf3233efd'
          'ae7e00eff06bc2921d9ff184ff48556e'
@@ -40,7 +41,8 @@
          'bf7119084a2d1e0566b5e34b57dce8eb'
          'a51200f770c635355c430cc5052db8cf'
          '4addae44d20bb2b247e429d88b66a4c1'
-         '4fe2810b40358b0e7dc2df3d056bde7a')
+         '4fe2810b40358b0e7dc2df3d056bde7a'
+         '8d68d44c941a687813ddd968383cdf27')
 
 # see ftp://ftp.linux.cz/pub/localization/OpenOffice.org/devel/build/build for upstream build instructions
 
@@ -91,6 +93,7 @@
 	patch -Np0 -i ${srcdir}/default-system-fpicker.diff || return 1
 
 	if [ "$CARCH" = "x86_64" ]; then
+          EXTRAOPTS="--with-stlport"
           # fix to build with SUN jdk/jre and OpenJDK
           # http://qa.openoffice.org/issues/show_bug.cgi?id=74749
 	  sed -i "s:lib64\/libjpeg.so:lib\/libjpeg.so:g" ${srcdir}/solenv/inc/libs.mk || return 1
@@ -151,7 +154,6 @@
 	--without-afms\
 	--without-gpc\
 	--without-nas\
-	--without-stlport\
 	--with-jdk-home=${JAVA_HOME}\
  	--with-system-hsqldb \
 	--with-hsqldb-jar=/usr/share/java/hsqldb.jar\
@@ -184,7 +186,7 @@
 
 	# install binaries
 	if [ "$CARCH" = "x86_64" ]; then
-	  cp -R instsetoo_native/unxlngx6.pro/OpenOffice/native/install/en-US/linux-2.6-x86_64/buildroot/* ${pkgdir}/
+	        cp -R instsetoo_native/unxlngx6.pro/OpenOffice/native/install/en-US/linux-2.6-x86_64/buildroot/* ${pkgdir}/
 	 else 	cp -R instsetoo_native/unxlngi6.pro/OpenOffice/native/install/en-US/linux-2.6-intel/buildroot/* ${pkgdir}/
 	fi
 
@@ -215,7 +217,10 @@
 	ln -s ../../opt/openoffice/program/spadmin spadmin
 
 	# install all built dictionaries from source tree
-	pushd ${srcdir}/dictionaries/unxlngx6.pro/bin
+	if [ "$CARCH" = "x86_64" ]; then
+	       pushd ${srcdir}/dictionaries/unxlngx6.pro/bin
+  	  else pushd ${srcdir}/dictionaries/unxlngi6.pro/bin
+	fi
 	for i in `ls -1 dict-??.oxt`; do
 	  install -D -m644 $i ${pkgdir}/opt/openoffice/share/extension/install/$i || return 1
 	done
@@ -260,4 +265,8 @@
 	mkdir -p ${pkgdir}/usr/lib/mozilla/plugins/
 	cd ${pkgdir}/usr/lib/mozilla/plugins/
 	ln -v -s /opt/openoffice/program/libnpsoplugin.so .
+
+	# set desktop variable to force gtk/gnome vcl usage
+	install -m755 -d ${pkgdir}/etc/profile.d
+	install -m755 ${srcdir}/openoffice.profile ${pkgdir}/etc/profile.d/openoffice.sh || return 1
 }

Modified: extra-x86_64/openoffice.install
===================================================================
--- extra-x86_64/openoffice.install	2008-10-21 06:08:55 UTC (rev 16087)
+++ extra-x86_64/openoffice.install	2008-10-21 06:10:04 UTC (rev 16088)
@@ -3,18 +3,10 @@
 gtk-update-icon-cache -f -q /usr/share/icons/hicolor
 update-desktop-database -q
 
-echo " please preset Gnome appearance always with"
-echo " \"export OOO_FORCE_DESKTOP=gnome\" even when"
-echo " you are runnning a different desktop!"
-echo " or put it in /etc/profile, ~/.bashrc or ~/.xprofile"
-echo " ---------------------------------------------------"
 echo " see http://wiki.archlinux.org/index.php/Openoffice"
-echo " how to use extensions now, e.g. for spell checking"
+echo " how to use extensions, e.g. for spell checking"
 echo " see /opt/openoffice/share/extension/install what"
 echo " is shipped with this package"
-echo " openoffice-spell-* packages are no longer required"
-echo " ---------------------------------------------------"
-echo " KDE integration has been removed"
 }
 
 post_upgrade() {




More information about the arch-commits mailing list